Bug 151622 - Spurious zlib-devel dependency in gcc-java?
Spurious zlib-devel dependency in gcc-java?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 18:35 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 01:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-03-20 18:35:07 EST
I noticed that gcc-java-4.0.0-0.34 has a dependency on zlib-devel.  Is there
something in it that really needs stuff from the zlib _development_ package? 
Based on a quick look, I didn't find any hints of that.  Maybe the dependency
should just be removed?
Comment 1 Jakub Jelinek 2005-03-21 01:20:26 EST
The dependency is not spurious, without zlib-devel Java programs will not link.
libgcj.spec has:
%rename lib liborig
*lib: %{static:%eJava programs cannot be linked statically}-lgcj -lm   -lpthread
-lz   -ldl %(libgcc) %(liborig)

*jc1: -fhash-synchronization -fno-use-divide-subroutine  -fuse-boehm-gc
-fnon-call-exceptions -fno-omit-frame-pointer  -fkeep-inline-functions

Note You need to log in before you can comment on or make changes to this bug.